slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVMatMultTransposeColumn

Computes the transpose matrix-vector product for a specified column, storing the result in the next column v_{j+1}=A^T*v_j.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVMatMultTransposeColumn(BV V,Mat A,PetscInt j)

Neighbor-wise Collective

### Input Parameters

| V | - basis vectors context
| A | - the matrix
| j | - the column

### See Also

BVMatMult(), BVMatMultColumn(), BVMatMultHermitianTransposeColumn()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvops.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages